#!/bin/bash

# Helper function to check a command
command_exists() {
  command -v "$1" >/dev/null 2>&1
}

DOCKER_OK=true
COMPOSE_OK=true

# Check for Docker
if ! command_exists docker; then
  DOCKER_OK=false
fi

# Check for Docker Compose (plugin or legacy)
if ! docker compose version >/dev/null 2>&1 && ! command_exists docker-compose; then
  COMPOSE_OK=false
fi

# If either is missing, run install script
if [[ "$DOCKER_OK" = false || "$COMPOSE_OK" = false ]]; then
  echo "Missing required tools. Running installer..."
  git clone https://git.giovanesaggio.com/Selfhosting/docker_setup.git
  ./docker_setup/docker_setup.sh
  rm -r docker_setup
fi

# Launch Docker
docker compose up -d
